COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1992 -- All Rights Reserved

PROJECT:	PC GEOS
MODULE:		Common power management code
FILE:		powerCode.asm

AUTHOR:		Tony Requist

ROUTINES:
	Name			Description
	----			-----------

	
REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	4/22/93		Initial revision

DESCRIPTION:
	This is common battery code

	$Id: powerCode.asm,v 1.1.2.1 93/05/11 05:40:34 steve Exp $

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@

Resident segment resource

COMMENT @----------------------------------------------------------------------

FUNCTION:	PowerInit

DESCRIPTION:	Common initialization

CALLED BY:	INTERNAL

PASS:
	ds, es - dgroup

RETURN:
	none

DESTROYED:
	ax, bx, cx, dx, si, di, bp, ds, es

REGISTER/STACK USAGE:

PSEUDO CODE/STRATEGY:

KNOWN BUGS/SIDE EFFECTS/CAVEATS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	4/22/93		Initial version

------------------------------------------------------------------------------@

PowerInit	proc	near

if	POLL_BATTERY

	; Install a timer so that we can poll some battery related stuff...

	mov	al, TIMER_ROUTINE_CONTINUAL
	mov	bx, cs
	mov	si, offset BatteryPoll
	mov	cx, BATTERY_POLL_INITIAL_WAIT
	mov	di, BATTERY_POLL_INTERVAL
	call	TimerStart
	mov	ds:[timerHandle], bx
	mov	ds:[timerID], ax

endif

	ret

PowerInit	endp

COMMENT @----------------------------------------------------------------------

FUNCTION:	PowerExit

DESCRIPTION:	Common exit code

CALLED BY:	INTERNAL

PASS:
	ds, es - dgroup

RETURN:
	none

DESTROYED:
	ax, bx, cx, dx, si, di, bp, ds, es

REGISTER/STACK USAGE:

PSEUDO CODE/STRATEGY:

KNOWN BUGS/SIDE EFFECTS/CAVEATS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	4/22/93		Initial version

------------------------------------------------------------------------------@

PowerExit	proc	near

if	POLL_BATTERY

	mov	bx, ds:[timerHandle]
	mov	ax, ds:[timerID]
	call	TimerStop

endif

	ret

PowerExit	endp

Resident ends
